### Method

# FwupdPlugin Plugin cache_lookup

since: 0.8.0

#### Declaration [src]

    gpointer
    fu_plugin_cache_lookup (
      FuPlugin* self,
      const gchar* id
    )

#### Description [src]

Finds an object in the per-plugin cache.

Available since: 0.8.0

#### Parameters

`id`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

A `GObject`, or `NULL` for unfound.

The data is owned by the instance.
The return value can be `NULL`.